<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_book.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Book Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_book.html">Book</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#abef10101f474f12e17fc49a6eeb5b307">Book</a>(const std::string isbnCode, std::string title, std::string description, bool isAvailable=true, bool isBooked=false)</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#a23ddc31c79e18d2349e4ff93b2ea0b8b">Book</a>(const std::string isbnCode)</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#a6f0835cfd79b4ed1e17d9de33973406e">Book</a>(const Book &amp;b)</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">getDescription</a>() const </td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_item.html#a823b431f468a18e58ee2c808e5642a53">getID</a>() const </td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_item.html#a116308353701daee0b4fc3e1d0cac104">getName</a>() const </td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#a4cdc9d69b29066a22c3dbfdd902b4d81">isAvailableToUsers</a>() const </td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#a3ae9e7c3540adf5d0bb3f2b38f3484fb">isBookedByUser</a>() const </td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item</a>(const std::string IDCode=0, std::string name=&quot;&quot;, std::string description=&quot;&quot;)</td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_item.html#ade7e491f0f1fb579f98c28f7079ace05">Item</a>(const Item &amp;i)</td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#ac15d2bf0a6b21e9d6996540b1a6242e0">makeAvailableToUsers</a>()</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#a7fcc6a13174d31ae9d6789beffbdae60">makeUnAvailableToUsers</a>()</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#a77903c7af788afd234d6cf3f64a02541">operator!=</a>(const Book &amp;other) const </td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#ae8c42bdbe7ea5ce5e0c4234fc3041f59">operator&lt;&lt;</a>(std::ostream &amp;out, const Book &amp;book)</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#a26a6c2ae89938f76269e2f93e7ee676f">operator=</a>(const Book &amp;b)</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#ab08c02fc82b5c2f9b9a9bef03063598f">operator==</a>(const Book &amp;other) const </td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">Item::operator==</a>(const Item &amp;other) const </td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_book.html#a05a872fe6ae841704f27e370e31d1901">reserve</a>()</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_book.html#a8b19e4877f1e57bc513b5025f983fbe5">returnToLibrary</a>()</td><td class="entry"><a class="el" href="class_book.html">Book</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_item.html#ab5b987640aafeee80a284861ebedb959">setDescription</a>(std::string description)</td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">setID</a>(std::string IDCode)</td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_item.html#ad1df8af319de8f613b85d99118a1e203">setName</a>(std::string name)</td><td class="entry"><a class="el" href="class_item.html">Item</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
